nginx Support

Compatible with all products except MPS
06.08.2016
80 763
nginx server support for IntelliJ IDEA
Runs/reloads configuration/stops nginx server from IDEA.
Configuration file syntax highlighting, auto-completion and inspections.

Download plugin

Version

Update date

Recent change notes

0.1.3
  • Update NGINX and OpenResty keywords.
  • Add default extension .nginx. This enables use with scratch files.
  • Partial fix for Lua block parsing when Lua contains braces. This works as long as the Lua braces are balanced. Otherwise the Lua block get expanded to the next closing brace. In this case the Lua shouldn't be valid anyway.
  • Fix PID path with spaces failing.
0.1.2
  • Added Lua language injection to *by_lua_block directives. The Lua plugin must be installed for this to work!
  • Fixed some deprecated methods
0.1.1
  • Added OpenResty keywords from 1.9.7.4
  • Added support for local variables using set directives
  • Added double quotes to denote strings as well as single quotes
  • Updated keywords to Nginx 1.9.15
  • Fixed wrong number of argument annotations (e.g. server_name with multiple values)
0.1.0
  • Idea 15 compatibility - PlatformDependentToolsInstaller could be app service now and appropriate implementation selected by "os" attribute
0.0.15
  • FileTypeFactory for type registration
0.0.14
  • Deprecated FileChooser fixed
0.0.13
  • Built for IDEA 12 and later
  • Documentation and autocompletion update for nginx 1.4
0.0.12
  • Built for IDEA 11 and later
0.0.11
  • -V output pattern parser fixed again, should work for all versions
  • Documentation and autocompletion update for nginx 1.1.1
  • Built for IDEA 10.5.x and later
0.0.10
  • -V output pattern fixed for versions 0.8.23+ and 0.7.64+
  • Works for all Jetbrains platform products (since build 93.94)
  • Documentation and autocompletion update for nginx 0.8.35
0.0.9
  • Now only "Run" button is enabled for nginx run configuration.
  • Works for WebIDE.
  • Documentation and autocompletion update.
0.0.8
  • Documentation and autocompletion update.
0.0.7
  • Open included files with ctrl+b (Go to Declaration).
0.0.6
  • Autoformat support.
0.0.5
  • Quick documentation lookup support for directives and variables. Only for those that can be found at wiki.nginx.org.
  • $arg_<PARAM>, $http_<PARAM> and $cookie_<PARAM> are not highlighted as unknown anymore.
  • Warning when choosing nginx executable. Running "nginx -V" can be cancelled and default parameter values will be used.
0.0.4
  • Basic $variable support. Autocompletion and name checks are available. No checks for parent context and no support for variables in strings yet.
0.0.3
  • Log files can be shown in tabs next to console
0.0.2
  • Autocompletion is context-aware
  • Directive list is taken from sources, not from docs
  • More advanced inspections like checking if a directive can reside in a context
  • Should work on Mac
0.0.1
  • First release. Won't work for Mac.
  • Basic autocompletion and inspections.
22.09.2016
I have a nginx config file named www.example.com in my project´╝îhow to edit it with this plugin support!
kd_
29.04.2016
Very useful plugin! Good to see a refresh for 2016.1. Thx!
01.03.2016
Hi, why am I getting "wrong number of server values for server_name (expeted 1) on server_name some.domain.com yet.anotherdomain.com; Info: I hav separate files for each vhost, so my top-level emelent ist "server { "
15.02.2016
Plugin crashes on Intellij IDEA 16. Not even showing up in the list.
14.09.2015
Could not rate it. PhpStorm 9.5.0 said when starting up: - this plugin crashed, I am disabling it. Thx anyway.
12.04.2015
good work
Anonymous
13.08.2012
Hi. I'm running the lsteat version of multisite and using version 1.26 of your plugin. It is working fine and is really appreciated. It does just what I need with one exception. I am the only one (Super Admin) who can see it and consequently the only one who can approve new users. Is there something I can do so that people with other roles (like site admin) can approve new users? I'm not a coder so if it involves changing code please be very specific. Thank you.
17.12.2011
Thank you, burhan. The plugin has been updated for IDEA 11.
16.12.2011
Please update for latest IDEA builds (doesn't work in IDEA 11 or PyCharm 2.0.1)
Please  sign in  to leave a comment.